---
title: Programas Para Clase en Linux
description: Nos hacen usar programas horribles, pero al menos los podemos usar en linux sin problemas
published: true
date: 2019-07-12T13:57:31.171Z
tags: 
---

# Instalando los programas de clase en Linux


## Mathlab :
Si no vas a necesitar el simulink, puedes utilizar **Octave** para todo. Solo necesitas añadir la librerías adecuadas. Si no tienes una función que te hace falta, haciendo `help comando`, octave te dirá el paquete que te hace falta. Aquí tienes un puñado:
```
> pkg install signal -forge ;Para cosas de fourier
> load senal ; La cargamos para poder utilizarla
> 
> pkg install control -forge ;Para trabajar con sistemas LTI
> load control ; La cargamos para poder utilizarla
```

Los archivos .m que nos den el las prácticas no necesitan nada más. Se pueden hacer todas las prácticas que no usan simulink de: Álgebra y Métodos Numéricos, Ondas, Sistemas Lineales, Teoría de la Comunicación, Cálculo I y Cálculo II. (Y probablemente todas las demás)

Lista negra de Asignaturas no 100% compatibles con octave:
- Teoría de la Comunicación (2 GIT/GIST)
- Tecnicas de Transmisión (3 GIST)

## Xilinx ISE 14.7 :

### Descargamos el instalador
Podemos encontrar el instalador en la [web de xilinx](https://www.xilinx.com/support/download/index.html/content/xilinx/en/downloadNav/design-tools/v2012_4---14_7.html "Instaladores Herramientas de Diseño") y aunque requiere registrarse, la herramienta es gratuita.  Por algún motivo, xilinx no quiere que este paquete esté en los repositorios.

### Instalamos el paquete
Este paso va a depender de la distribución de linux que utilices:
	
  En Arch: 
  Desde el club tenemos un paquete custom para instalar el software de la asignatura, pregunta en el club sobre la ruta de este archivo.
  
```
pacman -U /ruta/al/archivo/instalador.tar.gz
```

En el caso de tener que hacer uso de la placa del laboratorio (Spartan3E), será necesario instalar el paquete xilinx-usb-drivers del AUR. Con este paquete ya tendremos las reglas udev necesarias para poder cargar el bitstream en la placa. 

La entrada de la wiki de arch, aunque es sobre Vivado, resuelve alguna que otra duda. [wiki arch](https://wiki.archlinux.org/index.php/Xilinx_Vivado)

En Debian/Ubuntu:

```
cd /ruta/al/archivo
tar xzf instalador.tar.gz
cp -R instalador /ruta/donde/quieras/instalar
cd /ruta/donde/quieras/instalar
./configure
make
sudo make install			
 ```
 
### Arreglamos el estropicio
Por algún motivo, el ISE utiliza su propio entorno de qt. Es una versión vieja con muchas cosas extra estilo ubuntu que intenta escoger el mismo tema de qt que tenga el resto del sistema. Y falla catastróficamente si tienes un tema oscuro.

Así que no queda otra que eliminar nuestro tema mientras queramos usarlo. En mi caso, quitar una línea de .bspwmrc.  ~~wal -R~~.

Tambien podemos eliminar el paquete comprimido. 

## Eclipse a.k.a intellij desde ahora
Aunque desde que entramos en la carrera nos recomiendan utilizar el programa Eclipse para programar en Java, sin duda lo más util es pasarse a otra familia de IDEs muy utilies, no solo para java, sino para el resto de lenguajes de programación. [web de intellij](https://www.jetbrains.com/idea/)
Para estos programas, disponemos de licencia estudiante gracias al email que nos facilita la universidad.
